PETSc version 3.15.5
Fix/Edit manual page

# DMInterpolationSetUp

Compute spatial indices for point location during interpolation

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationSetUp(DMInterpolationInfo ctx, DM dm, PetscBool redundantPoints, PetscBool ignoreOutsideDomain)

Collective on ctx

### Input Parameters

| ctx | - the context
| dm | - the DM for the function space used for interpolation
| redundantPoints | - If PETSC_TRUE, all processes are passing in the same array of points. Otherwise, points need to be communicated among processes.
| ignoreOutsideDomain | - If PETSC_TRUE, ignore points outside the domain, otherwise return an error

### See Also

DMInterpolationEvaluate(), DMInterpolationAddPoints(), DMInterpolationCreate()

### Level

intermediate

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages